package com.acethewildfire.acesbs.item;

import com.acethewildfire.acesbs.effect.ModEffects;
import net.minecraft.component.type.FoodComponent;
import net.minecraft.entity.effect.StatusEffectInstance;

public class ModFoodComponent {

    public static final FoodComponent LEMON = new FoodComponent.Builder()
            .nutrition(3)
            .saturationModifier(0.25f)
            .statusEffect(new StatusEffectInstance(ModEffects.LEMON, 200), 0.8f)
            .build();
    public static final FoodComponent COOKED_LEMON = new FoodComponent.Builder()
            .nutrition(6)
            .saturationModifier(0.5f)
            .build();

    public static final FoodComponent INFERNAL_BEEF = new FoodComponent.Builder()
            .nutrition(20)
            .saturationModifier(0.5f)
            .statusEffect(new StatusEffectInstance(ModEffects.INFERNAL_FIRE, 200), 0.2f)
            .alwaysEdible()
            .build();
    public static final FoodComponent BRICKED_UP = new FoodComponent.Builder()
            .nutrition(0)
            .saturationModifier(0f)
            .statusEffect(new StatusEffectInstance(ModEffects.BRICKED_UP, 160), 1f)
            .alwaysEdible()
            .build();
    public static final FoodComponent CIGARETTE = new FoodComponent.Builder()
            .nutrition(0)
            .saturationModifier(0f)
            .statusEffect(new StatusEffectInstance(ModEffects.CIGARETTE, 6000), 1f)
            .alwaysEdible()
            .build();
}
